#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSFontPaletteValuesRule = 949,
  CSSGroupingRule = 974,
  CSSImportRule = 990,
  CSSKeyframeRule = 1004,
  CSSKeyframesRule = 1020,
  CSSLayerBlockRule = 1037,
  CSSLayerStatementRule = 1055,
  CSSMediaRule = 1077,
  CSSMozDocumentRule = 1090,
  CSSNamespaceRule = 1109,
  CSSPageRule = 1126,
  CSSPropertyRule = 1138,
  CSSPseudoElement = 1154,
  CSSRule = 1171,
  CSSRuleList = 1179,
  CSSStyleDeclaration = 1191,
  CSSStyleRule = 1211,
  CSSStyleSheet = 1224,
  CSSSupportsRule = 1238,
  CSSTransition = 1254,
  Cache = 1268,
  CacheStorage = 1274,
  CallbackDebuggerNotification = 1287,
  CanonicalBrowsingContext = 1316,
  CanvasCaptureMediaStream = 1341,
  CanvasGradient = 1366,
  CanvasPattern = 1381,
  CanvasRenderingContext2D = 1395,
  CaretPosition = 1420,
  CaretStateChangedEvent = 1434,
  ChannelMergerNode = 1457,
  ChannelSplitterNode = 1475,
  ChannelWrapper = 1495,
  CharacterData = 1510,
  CheckerboardReportService = 1524,
  ChildProcessMessageManager = 1550,
  ChildSHistory = 1577,
  ChromeMessageBroadcaster = 1591,
  ChromeMessageSender = 1616,
  ChromeNodeList = 1636,
  ChromeUtils = 1651,
  ChromeWorker = 1663,
  Client = 1676,
  Clients = 1683,
  Clipboard = 1691,
  ClipboardEvent = 1701,
  ClipboardItem = 1716,
  ClonedErrorHolder = 1730,
  CloseEvent = 1748,
  CommandEvent = 1759,
  Comment = 1772,
  CompositionEvent = 1780,
  CompressionStream = 1797,
  ConsoleInstance = 1815,
  ConstantSourceNode = 1831,
  ContentFrameMessageManager = 1850,
  ContentProcessMessageManager = 1877,
  ContentVisibilityAutoStateChangeEvent = 1906,
  ConvolverNode = 1944,
  CountQueuingStrategy = 1958,
  CreateOfferRequest = 1979,
  Credential = 1998,
  CredentialsContainer = 2009,
  Crypto = 2030,
  CryptoKey = 2037,
  CustomElementRegistry = 2047,
  CustomEvent = 2069,
  DOMException = 2081,
  DOMImplementation = 2094,
  DOMLocalization = 2112,
  DOMMatrix = 2128,
  DOMMatrixReadOnly = 2138,
  DOMParser = 2156,
  DOMPoint = 2166,
  DOMPointReadOnly = 2175,
  DOMQuad = 2192,
  DOMRect = 2200,
  DOMRectList = 2208,
  DOMRectReadOnly = 2220,
  DOMRequest = 2236,
  DOMStringList = 2247,
  DOMStringMap = 2261,
  DOMTokenList = 2274,
  DataTransfer = 2287,
  DataTransferItem = 2300,
  DataTransferItemList = 2317,
  DebuggerNotification = 2338,
  DebuggerNotificationObserver = 2359,
  DecompressionStream = 2388,
  DedicatedWorkerGlobalScope = 2408,
  DelayNode = 2435,
  DeprecationReportBody = 2445,
  DeviceAcceleration = 2467,
  DeviceLightEvent = 2486,
  DeviceMotionEvent = 2503,
  DeviceOrientationEvent = 2521,
  DeviceRotationRate = 2544,
  Directory = 2563,
  Document = 2573,
  DocumentFragment = 2582,
  DocumentL10n = 2599,
  DocumentTimeline = 2612,
  DocumentType = 2629,
  DominatorTree = 2642,
  DragEvent = 2656,
  DynamicsCompressorNode = 2666,
  EXT_blend_minmax = 2689,
  EXT_color_buffer_float = 2706,
  EXT_color_buffer_half_float = 2729,
  EXT_disjoint_timer_query = 2757,
  EXT_float_blend = 2782,
  EXT_frag_depth = 2798,
  EXT_sRGB = 2813,
  EXT_shader_texture_lod = 2822,
  EXT_texture_compression_bptc = 2845,
  EXT_texture_compression_rgtc = 2874,
  EXT_texture_filter_anisotropic = 2903,
  EXT_texture_norm16 = 2934,
  Element = 2953,
  ElementInternals = 2961,
  EncodedVideoChunk = 2978,
  ErrorEvent = 2996,
  Event = 3007,
  EventCallbackDebuggerNotification = 3013,
  EventCounts = 3047,
  EventSource = 3059,
  EventTarget = 3071,
  Exception = 3083,
  ExtendableEvent = 3093,
  ExtendableMessageEvent = 3109,
  ExtensionAlarms = 3132,
  ExtensionBrowser = 3148,
  ExtensionBrowserSettings = 3165,
  ExtensionBrowserSettingsColorManagement = 3190,
  ExtensionDns = 3230,
  ExtensionEventManager = 3243,
  ExtensionMockAPI = 3265,
  ExtensionPort = 3282,
  ExtensionProxy = 3296,
  ExtensionRuntime = 3311,
  ExtensionScripting = 3328,
  ExtensionSetting = 3347,
  ExtensionTest = 3364,
  External = 3378,
  FeaturePolicy = 3387,
  FeaturePolicyViolationReportBody = 3401,
  FetchEvent = 3434,
  FetchObserver = 3445,
  File = 3459,
  FileList = 3464,
  FileReader = 3473,
  FileReaderSync = 3484,
  FileSystem = 3499,
  FileSystemDirectoryEntry = 3510,
  FileSystemDirectoryHandle = 3535,
  FileSystemDirectoryHandle_AsyncIterator = 3561,
  FileSystemDirectoryIterator = 3601,
  FileSystemDirectoryReader = 3629,
  FileSystemEntry = 3655,
  FileSystemFileEntry = 3671,
  FileSystemFileHandle = 3691,
  FileSystemHandle = 3712,
  FileSystemSyncAccessHandle = 3729,
  FileSystemWritableFileStream = 3756,
  Flex = 3785,
  FlexItemValues = 3790,
  FlexLineValues = 3805,
  FluentBundle = 3820,
  FluentBundleAsyncIterator = 3833,
  FluentBundleIterator = 3859,
  FluentPattern = 3880,
  FluentResource = 3894,
  FocusEvent = 3909,
  FontFace = 3920,
  FontFaceSet = 3929,
  FontFaceSetIterator = 3941,
  FontFaceSetLoadEvent = 3961,
  FormData = 3982,
  FormData_Iterator = 3991,
  FormDataEvent = 4009,
  FrameCrashedEvent = 4023,
  FrameLoader = 4041,
  GPU = 4053,
  GPUAdapter = 4057,
  GPUAdapterInfo = 4068,
  GPUBindGroup = 4083,
  GPUBindGroupLayout = 4096,
  GPUBuffer = 4115,
  GPUBufferUsage = 4125,
  GPUCanvasContext = 4140,
  GPUColorWrite = 4157,
  GPUCommandBuffer = 4171,
  GPUCommandEncoder = 4188,
  GPUCompilationInfo = 4206,
  GPUCompilationMessage = 4225,
  GPUComputePassEncoder = 4247,
  GPUComputePipeline = 4269,
  GPUDevice = 4288,
  GPUDeviceLostInfo = 4298,
  GPUMapMode = 4316,
  GPUOutOfMemoryError = 4327,
  GPUPipelineLayout = 4347,
  GPUQuerySet = 4365,
  GPUQueue = 4377,
  GPURenderBundle = 4386,
  GPURenderBundleEncoder = 4402,
  GPURenderPassEncoder = 4425,
  GPURenderPipeline = 4446,
  GPUSampler = 4464,
  GPUShaderModule = 4475,
  GPUShaderStage = 4491,
  GPUSupportedFeatures = 4506,
  GPUSupportedLimits = 4527,
  GPUTexture = 4546,
  GPUTextureUsage = 4557,
  GPUTextureView = 4573,
  GPUUncapturedErrorEvent = 4588,
  GPUValidationError = 4612,
  GainNode = 4631,
  Gamepad = 4640,
  GamepadAxisMoveEvent = 4648,
  GamepadButton = 4669,
  GamepadButtonEvent = 4683,
  GamepadEvent = 4702,
  GamepadHapticActuator = 4715,
  GamepadLightIndicator = 4737,
  GamepadPose = 4759,
  GamepadServiceTest = 4771,
  GamepadTouch = 4790,
  Geolocation = 4803,
  GeolocationCoordinates = 4815,
  GeolocationPosition = 4838,
  GeolocationPositionError = 4858,
  GetUserMediaRequest = 4883,
  GleanCategory = 4903,
  GleanImpl = 4917,
  GleanLabeled = 4927,
  GleanPingsImpl = 4940,
  Grid = 4955,
  GridArea = 4960,
  GridDimension = 4969,
  GridLine = 4983,
  GridLines = 4992,
  GridTrack = 5002,
  GridTracks = 5012,
  HTMLAllCollection = 5023,
  HTMLAnchorElement = 5041,
  HTMLAreaElement = 5059,
  HTMLAudioElement = 5075,
  HTMLBRElement = 5092,
  HTMLBaseElement = 5106,
  HTMLBodyElement = 5122,
  HTMLButtonElement = 5138,
  HTMLCanvasElement = 5156,
  HTMLCollection = 5174,
  HTMLDListElement = 5189,
  HTMLDataElement = 5206,
  HTMLDataListElement = 5222,
  HTMLDetailsElement = 5242,
  HTMLDialogElement = 5261,
  HTMLDirectoryElement = 5279,
  HTMLDivElement = 5300,
  HTMLDocument = 5315,
  HTMLElement = 5328,
  HTMLEmbedElement = 5340,
  HTMLFieldSetElement = 5357,
  HTMLFontElement = 5377,
  HTMLFormControlsCollection = 5393,
  HTMLFormElement = 5420,
  HTMLFrameElement = 5436,
  HTMLFrameSetElement = 5453,
  HTMLHRElement = 5473,
  HTMLHeadElement = 5487,
  HTMLHeadingElement = 5503,
  HTMLHtmlElement = 5522,
  HTMLIFrameElement = 5538,
  HTMLImageElement = 5556,
  HTMLInputElement = 5573,
  HTMLLIElement = 5590,
  HTMLLabelElement = 5604,
  HTMLLegendElement = 5621,
  HTMLLinkElement = 5639,
  HTMLMapElement = 5655,
  HTMLMarqueeElement = 5670,
  HTMLMediaElement = 5689,
  HTMLMenuElement = 5706,
  HTMLMetaElement = 5722,
  HTMLMeterElement = 5738,
  HTMLModElement = 5755,
  HTMLOListElement = 5770,
  HTMLObjectElement = 5787,
  HTMLOptGroupElement = 5805,
  HTMLOptionElement = 5825,
  HTMLOptionsCollection = 5843,
  HTMLOutputElement = 5865,
  HTMLParagraphElement = 5883,
  HTMLParamElement = 5904,
  HTMLPictureElement = 5921,
  HTMLPreElement = 5940,
  HTMLProgressElement = 5955,
  HTMLQuoteElement = 5975,
  HTMLScriptElement = 5992,
  HTMLSelectElement = 6010,
  HTMLSlotElement = 6028,
  HTMLSourceElement = 6044,
  HTMLSpanElement = 6062,
  HTMLStyleElement = 6078,
  HTMLTableCaptionElement = 6095,
  HTMLTableCellElement = 6119,
  HTMLTableColElement = 6140,
  HTMLTableElement = 6160,
  HTMLTableRowElement = 6177,
  HTMLTableSectionElement = 6197,
  HTMLTemplateElement = 6221,
  HTMLTextAreaElement = 6241,
  HTMLTimeElement = 6261,
  HTMLTitleElement = 6277,
  HTMLTrackElement = 6294,
  HTMLUListElement = 6311,
  HTMLUnknownElement = 6328,
  HTMLVideoElement = 6347,
  HashChangeEvent = 6364,
  Headers = 6380,
  Headers_Iterator = 6388,
  HeapSnapshot = 6405,
  Highlight = 6418,
  HighlightRegistry = 6428,
  History = 6446,
  IDBCursor = 6454,
  IDBCursorWithValue = 6464,
  IDBDatabase = 6483,
  IDBFactory = 6495,
  IDBIndex = 6506,
  IDBKeyRange = 6515,
  IDBLocaleAwareKeyRange = 6527,
  IDBObjectStore = 6550,
  IDBOpenDBRequest = 6565,
  IDBRequest = 6582,
  IDBTransaction = 6593,
  IDBVersionChangeEvent = 6608,
  IIRFilterNode = 6630,
  IOUtils = 6644,
  IdentityCredential = 6652,
  IdleDeadline = 6671,
  Image = 6684,
  ImageBitmap = 6690,
  ImageBitmapRenderingContext = 6702,
  ImageCapture = 6730,
  ImageCaptureError = 6743,
  ImageCaptureErrorEvent = 6761,
  ImageData = 6784,
  ImageDocument = 6794,
  InputEvent = 6808,
  InspectorFontFace = 6819,
  InspectorUtils = 6837,
  InstallTriggerImpl = 6852,
  IntersectionObserver = 6871,
  IntersectionObserverEntry = 6892,
  IntlUtils = 6918,
  JSProcessActorChild = 6928,
  JSProcessActorParent = 6948,
  JSWindowActorChild = 6969,
  JSWindowActorParent = 6988,
  KeyEvent = 7008,
  KeyboardEvent = 7017,
  KeyframeEffect = 7031,
  L10nFileSource = 7046,
  L10nOverlays = 7061,
  L10nRegistry = 7074,
  LargestContentfulPaint = 7087,
  LegacyMozTCPSocket = 7110,
  Localization = 7129,
  Location = 7142,
  Lock = 7151,
  LockManager = 7156,
  MIDIAccess = 7168,
  MIDIConnectionEvent = 7179,
  MIDIInput = 7199,
  MIDIInputMap = 7209,
  MIDIMessageEvent = 7222,
  MIDIOutput = 7239,
  MIDIOutputMap = 7250,
  MIDIPort = 7264,
  MOZ_debug = 7273,
  MatchGlob = 7283,
  MatchPattern = 7293,
  MatchPatternSet = 7306,
  MathMLElement = 7322,
  MediaCapabilities = 7336,
  MediaCapabilitiesInfo = 7354,
  MediaControlService = 7376,
  MediaController = 7396,
  MediaDeviceInfo = 7412,
  MediaDevices = 7428,
  MediaElementAudioSourceNode = 7441,
  MediaEncryptedEvent = 7469,
  MediaError = 7489,
  MediaKeyError = 7500,
  MediaKeyMessageEvent = 7514,
  MediaKeySession = 7535,
  MediaKeyStatusMap = 7551,
  MediaKeyStatusMap_Iterator = 7569,
  MediaKeySystemAccess = 7596,
  MediaKeys = 7617,
  MediaList = 7627,
  MediaMetadata = 7637,
  MediaQueryList = 7651,
  MediaQueryListEvent = 7666,
  MediaRecorder = 7686,
  MediaRecorderErrorEvent = 7700,
  MediaSession = 7724,
  MediaSource = 7737,
  MediaStream = 7749,
  MediaStreamAudioDestinationNode = 7761,
  MediaStreamAudioSourceNode = 7793,
  MediaStreamError = 7820,
  MediaStreamEvent = 7837,
  MediaStreamTrack = 7854,
  MediaStreamTrackAudioSourceNode = 7871,
  MediaStreamTrackEvent = 7903,
  MerchantValidationEvent = 7925,
  MessageBroadcaster = 7949,
  MessageChannel = 7968,
  MessageEvent = 7983,
  MessageListenerManager = 7996,
  MessagePort = 8019,
  MessageSender = 8031,
  MimeType = 8045,
  MimeTypeArray = 8054,
  MouseEvent = 8068,
  MouseScrollEvent = 8079,
  MozCanvasPrintState = 8096,
  MozDocumentMatcher = 8116,
  MozDocumentObserver = 8135,
  MozQueryInterface = 8155,
  MozSharedMap = 8173,
  MozSharedMap_Iterator = 8186,
  MozSharedMapChangeEvent = 8208,
  MozStorageAsyncStatementParams = 8232,
  MozStorageStatementParams = 8263,
  MozStorageStatementRow = 8289,
  MozWritableSharedMap = 8312,
  MutationEvent = 8333,
  MutationObserver = 8347,
  MutationRecord = 8364,
  NamedNodeMap = 8379,
  NavigationPreloadManager = 8392,
  Navigator = 8417,
  NetworkInformation = 8427,
  Node = 8446,
  NodeFilter = 8451,
  NodeIterator = 8462,
  NodeList = 8475,
  Notification = 8484,
  NotificationEvent = 8497,
  NotifyPaintEvent = 8515,
  OES_draw_buffers_indexed = 8532,
  OES_element_index_uint = 8557,
  OES_fbo_render_mipmap = 8580,
  OES_standard_derivatives = 8602,
  OES_texture_float = 8627,
  OES_texture_float_linear = 8645,
  OES_texture_half_float = 8670,
  OES_texture_half_float_linear = 8693,
  OES_vertex_array_object = 8723,
  OVR_multiview2 = 8747,
  OfflineAudioCompletionEvent = 8762,
  OfflineAudioContext = 8790,
  OffscreenCanvas = 8810,
  OffscreenCanvasRenderingContext2D = 8826,
  OnlyForUseInConstructor = 8860,
  Option = 8884,
  OscillatorNode = 8891,
  PageTransitionEvent = 8906,
  PaintRequest = 8926,
  PaintRequestList = 8939,
  PaintWorkletGlobalScope = 8956,
  PannerNode = 8980,
  ParentProcessMessageManager = 8991,
  Path2D = 9019,
  PathUtils = 9026,
  PaymentAddress = 9036,
  PaymentMethodChangeEvent = 9051,
  PaymentRequest = 9076,
  PaymentRequestUpdateEvent = 9091,
  PaymentResponse = 9117,
  PeerConnectionImpl = 9133,
  PeerConnectionObserver = 9152,
  Performance = 9175,
  PerformanceEntry = 9187,
  PerformanceEntryEvent = 9204,
  PerformanceEventTiming = 9226,
  PerformanceMark = 9249,
  PerformanceMeasure = 9265,
  PerformanceNavigation = 9284,
  PerformanceNavigationTiming = 9306,
  PerformanceObserver = 9334,
  PerformanceObserverEntryList = 9354,
  PerformancePaintTiming = 9383,
  PerformanceResourceTiming = 9406,
  PerformanceServerTiming = 9432,
  PerformanceTiming = 9456,
  PeriodicWave = 9474,
  PermissionStatus = 9487,
  Permissions = 9504,
  PlacesBookmark = 9516,
  PlacesBookmarkAddition = 9531,
  PlacesBookmarkChanged = 9554,
  PlacesBookmarkGuid = 9576,
  PlacesBookmarkKeyword = 9595,
  PlacesBookmarkMoved = 9617,
  PlacesBookmarkRemoved = 9637,
  PlacesBookmarkTags = 9659,
  PlacesBookmarkTime = 9678,
  PlacesBookmarkTitle = 9697,
  PlacesBookmarkUrl = 9717,
  PlacesEvent = 9735,
  PlacesFavicon = 9747,
  PlacesHistoryCleared = 9761,
  PlacesObservers = 9782,
  PlacesPurgeCaches = 9798,
  PlacesRanking = 9816,
  PlacesVisit = 9830,
  PlacesVisitRemoved = 9842,
  PlacesVisitTitle = 9861,
  PlacesWeakCallbackWrapper = 9878,
  Plugin = 9904,
  PluginArray = 9911,
  PluginCrashedEvent = 9923,
  PointerEvent = 9942,
  PopStateEvent = 9955,
  PopupBlockedEvent = 9969,
  PopupPositionedEvent = 9987,
  PositionStateEvent = 10008,
  PrecompiledScript = 10027,
  ProcessMessageManager = 10045,
  ProcessingInstruction = 10067,
  ProgressEvent = 10089,
  PromiseDebugging = 10103,
  PromiseNativeHandler = 10120,
  PromiseRejectionEvent = 10141,
  PublicKeyCredential = 10163,
  PushEvent = 10183,
  PushManager = 10193,
  PushManagerImpl = 10205,
  PushMessageData = 10221,
  PushSubscription = 10237,
  PushSubscriptionOptions = 10254,
  RTCCertificate = 10278,
  RTCDTMFSender = 10293,
  RTCDTMFToneChangeEvent = 10307,
  RTCDataChannel = 10330,
  RTCDataChannelEvent = 10345,
  RTCDtlsTransport = 10365,
  RTCIceCandidate = 10382,
  RTCIdentityProviderRegistrar = 10398,
  RTCPeerConnection = 10427,
  RTCPeerConnectionIceEvent = 10445,
  RTCPeerConnectionStatic = 10471,
  RTCRtpReceiver = 10495,
  RTCRtpSender = 10510,
  RTCRtpTransceiver = 10523,
  RTCSctpTransport = 10541,
  RTCSessionDescription = 10558,
  RTCStatsReport = 10580,
  RTCTrackEvent = 10595,
  RadioNodeList = 10609,
  Range = 10623,
  ReadableByteStreamController = 10629,
  ReadableStream = 10658,
  ReadableStream_AsyncIterator = 10673,
  ReadableStreamBYOBReader = 10702,
  ReadableStreamBYOBRequest = 10727,
  ReadableStreamDefaultController = 10753,
  ReadableStreamDefaultReader = 10785,
  Report = 10813,
  ReportBody = 10820,
  ReportingObserver = 10831,
  Request = 10849,
  ResizeObserver = 10857,
  ResizeObserverEntry = 10872,
  ResizeObserverSize = 10892,
  Response = 10911,
  SVGAElement = 10920,
  SVGAngle = 10932,
  SVGAnimateElement = 10941,
  SVGAnimateMotionElement = 10959,
  SVGAnimateTransformElement = 10983,
  SVGAnimatedAngle = 11010,
  SVGAnimatedBoolean = 11027,
  SVGAnimatedEnumeration = 11046,
  SVGAnimatedInteger = 11069,
  SVGAnimatedLength = 11088,
  SVGAnimatedLengthList = 11106,
  SVGAnimatedNumber = 11128,
  SVGAnimatedNumberList = 11146,
  SVGAnimatedPreserveAspectRatio = 11168,
  SVGAnimatedRect = 11199,
  SVGAnimatedString = 11215,
  SVGAnimatedTransformList = 11233,
  SVGAnimationElement = 11258,
  SVGCircleElement = 11278,
  SVGClipPathElement = 11295,
  SVGComponentTransferFunctionElement = 11314,
  SVGDefsElement = 11350,
  SVGDescElement = 11365,
  SVGElement = 11380,
  SVGEllipseElement = 11391,
  SVGFEBlendElement = 11409,
  SVGFEColorMatrixElement = 11427,
  SVGFEComponentTransferElement = 11451,
  SVGFECompositeElement = 11481,
  SVGFEConvolveMatrixElement = 11503,
  SVGFEDiffuseLightingElement = 11530,
  SVGFEDisplacementMapElement = 11558,
  SVGFEDistantLightElement = 11586,
  SVGFEDropShadowElement = 11611,
  SVGFEFloodElement = 11634,
  SVGFEFuncAElement = 11652,
  SVGFEFuncBElement = 11670,
  SVGFEFuncGElement = 11688,
  SVGFEFuncRElement = 11706,
  SVGFEGaussianBlurElement = 11724,
  SVGFEImageElement = 11749,
  SVGFEMergeElement = 11767,
  SVGFEMergeNodeElement = 11785,
  SVGFEMorphologyElement = 11807,
  SVGFEOffsetElement = 11830,
  SVGFEPointLightElement = 11849,
  SVGFESpecularLightingElement = 11872,
  SVGFESpotLightElement = 11901,
  SVGFETileElement = 11923,
  SVGFETurbulenceElement = 11940,
  SVGFilterElement = 11963,
  SVGForeignObjectElement = 11980,
  SVGGElement = 12004,
  SVGGeometryElement = 12016,
  SVGGradientElement = 12035,
  SVGGraphicsElement = 12054,
  SVGImageElement = 12073,
  SVGLength = 12089,
  SVGLengthList = 12099,
  SVGLineElement = 12113,
  SVGLinearGradientElement = 12128,
  SVGMPathElement = 12153,
  SVGMarkerElement = 12169,
  SVGMaskElement = 12186,
  SVGMatrix = 12201,
  SVGMetadataElement = 12211,
  SVGNumber = 12230,
  SVGNumberList = 12240,
  SVGPathElement = 12254,
  SVGPathSeg = 12269,
  SVGPathSegArcAbs = 12280,
  SVGPathSegArcRel = 12297,
  SVGPathSegClosePath = 12314,
  SVGPathSegCurvetoCubicAbs = 12334,
  SVGPathSegCurvetoCubicRel = 12360,
  SVGPathSegCurvetoCubicSmoothAbs = 12386,
  SVGPathSegCurvetoCubicSmoothRel = 12418,
  SVGPathSegCurvetoQuadraticAbs = 12450,
  SVGPathSegCurvetoQuadraticRel = 12480,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12510,
  SVGPathSegCurvetoQuadraticSmoothRel = 12546,
  SVGPathSegLinetoAbs = 12582,
  SVGPathSegLinetoHorizontalAbs = 12602,
  SVGPathSegLinetoHorizontalRel = 12632,
  SVGPathSegLinetoRel = 12662,
  SVGPathSegLinetoVerticalAbs = 12682,
  SVGPathSegLinetoVerticalRel = 12710,
  SVGPathSegList = 12738,
  SVGPathSegMovetoAbs = 12753,
  SVGPathSegMovetoRel = 12773,
  SVGPatternElement = 12793,
  SVGPoint = 12811,
  SVGPointList = 12820,
  SVGPolygonElement = 12833,
  SVGPolylineElement = 12851,
  SVGPreserveAspectRatio = 12870,
  SVGRadialGradientElement = 12893,
  SVGRect = 12918,
  SVGRectElement = 12926,
  SVGSVGElement = 12941,
  SVGScriptElement = 12955,
  SVGSetElement = 12972,
  SVGStopElement = 12986,
  SVGStringList = 13001,
  SVGStyleElement = 13015,
  SVGSwitchElement = 13031,
  SVGSymbolElement = 13048,
  SVGTSpanElement = 13065,
  SVGTextContentElement = 13081,
  SVGTextElement = 13103,
  SVGTextPathElement = 13118,
  SVGTextPositioningElement = 13137,
  SVGTitleElement = 13163,
  SVGTransform = 13179,
  SVGTransformList = 13192,
  SVGUnitTypes = 13209,
  SVGUseElement = 13222,
  SVGViewElement = 13236,
  Sanitizer = 13251,
  Scheduler = 13261,
  Screen = 13271,
  ScreenLuminance = 13278,
  ScreenOrientation = 13294,
  ScriptProcessorNode = 13312,
  ScrollAreaEvent = 13332,
  ScrollViewChangeEvent = 13348,
  SecurityPolicyViolationEvent = 13370,
  Selection = 13399,
  ServiceWorker = 13409,
  ServiceWorkerContainer = 13423,
  ServiceWorkerGlobalScope = 13446,
  ServiceWorkerRegistration = 13471,
  SessionStoreFormData = 13497,
  SessionStoreScrollData = 13518,
  SessionStoreUtils = 13541,
  ShadowRealmGlobalScope = 13559,
  ShadowRoot = 13582,
  SharedWorker = 13593,
  SharedWorkerGlobalScope = 13606,
  SimpleGestureEvent = 13630,
  SourceBuffer = 13649,
  SourceBufferList = 13662,
  SpeechGrammar = 13679,
  SpeechGrammarList = 13693,
  SpeechRecognition = 13711,
  SpeechRecognitionAlternative = 13729,
  SpeechRecognitionError = 13758,
  SpeechRecognitionEvent = 13781,
  SpeechRecognitionResult = 13804,
  SpeechRecognitionResultList = 13828,
  SpeechSynthesis = 13856,
  SpeechSynthesisErrorEvent = 13872,
  SpeechSynthesisEvent = 13898,
  SpeechSynthesisUtterance = 13919,
  SpeechSynthesisVoice = 13944,
  StaticRange = 13965,
  StereoPannerNode = 13977,
  Storage = 13994,
  StorageEvent = 14002,
  StorageManager = 14015,
  StreamFilter = 14030,
  StreamFilterDataEvent = 14043,
  StructuredCloneHolder = 14065,
  StructuredCloneTester = 14087,
  StyleSheet = 14109,
  StyleSheetApplicableStateChangeEvent = 14120,
  StyleSheetList = 14157,
  SubmitEvent = 14172,
  SubtleCrypto = 14184,
  SyncMessageSender = 14197,
  SyncReadFile = 14215,
  TCPServerSocket = 14228,
  TCPServerSocketEvent = 14244,
  TCPSocket = 14265,
  TCPSocketErrorEvent = 14275,
  TCPSocketEvent = 14295,
  TaskController = 14310,
  TaskPriorityChangeEvent = 14325,
  TaskSignal = 14349,
  TelemetryStopwatch = 14360,
  TestAttributesOnTypes = 14379,
  TestCEReactionsInterface = 14401,
  TestCImplementedInterface = 14426,
  TestCImplementedInterface2 = 14452,
  TestChildInterface = 14479,
  TestConstructorForFuncInterface = 14498,
  TestConstructorForPrefInterface = 14530,
  TestConstructorForSCInterface = 14562,
  TestCppKeywordNamedMethodsInterface = 14592,
  TestDeprecatedInterface = 14628,
  TestExampleInterface = 14652,
  TestExampleProxyInterface = 14673,
  TestExampleThrowingConstructorInterface = 14699,
  TestExampleWorkerInterface = 14739,
  TestFuncConstructorForDifferentFuncInterface = 14766,
  TestFuncConstructorForInterface = 14811,
  TestHTMLConstructorInterface = 14843,
  TestIndexedAndNamedGetterAndSetterInterface = 14872,
  TestIndexedAndNamedGetterInterface = 14916,
  TestIndexedAndNamedSetterInterface = 14951,
  TestIndexedGetterAndSetterAndNamedGetterInterface = 14986,
  TestIndexedGetterInterface = 15036,
  TestIndexedSetterInterface = 15063,
  TestInterface = 15090,
  TestInterfaceWithPromiseConstructorArg = 15104,
  TestJSImplInterface = 15143,
  TestJSImplInterface2 = 15163,
  TestJSImplInterface3 = 15184,
  TestJSImplInterface4 = 15205,
  TestJSImplInterface5 = 15226,
  TestJSImplInterface6 = 15247,
  TestJSImplNoInterfaceObject = 15268,
  TestNamedDeleterInterface = 15296,
  TestNamedDeleterWithRetvalInterface = 15322,
  TestNamedGetterInterface = 15358,
  TestNamedSetterInterface = 15383,
  TestNamespace = 15408,
  TestNonWrapperCacheInterface = 15422,
  TestParentInterface = 15451,
  TestPrefChromeOnlySCFuncConstructorForInterface = 15471,
  TestPrefConstructorForDifferentPrefInterface = 15519,
  TestPrefConstructorForInterface = 15564,
  TestProtoObjectHackedNamespace = 15596,
  TestRenamedInterface = 15627,
  TestRenamedNamespace = 15648,
  TestSCConstructorForInterface = 15669,
  TestSecureContextInterface = 15699,
  TestThrowingConstructorInterface = 15726,
  TestUtils = 15759,
  TestWorkerExposedInterface = 15769,
  TestingDeprecatedInterface = 15796,
  Text = 15823,
  TextClause = 15828,
  TextDecoder = 15839,
  TextDecoderStream = 15851,
  TextEncoder = 15869,
  TextEncoderStream = 15881,
  TextMetrics = 15899,
  TextTrack = 15911,
  TextTrackCue = 15921,
  TextTrackCueList = 15934,
  TextTrackList = 15951,
  TimeEvent = 15965,
  TimeRanges = 15975,
  ToggleEvent = 15986,
  Touch = 15998,
  TouchEvent = 16004,
  TouchList = 16015,
  TrackEvent = 16025,
  TransformStream = 16036,
  TransformStreamDefaultController = 16052,
  TransitionEvent = 16085,
  TreeColumn = 16101,
  TreeColumns = 16112,
  TreeContentView = 16124,
  TreeWalker = 16140,
  UDPMessageEvent = 16151,
  UDPSocket = 16167,
  UIEvent = 16177,
  URL = 16185,
  URLSearchParams = 16189,
  URLSearchParams_Iterator = 16205,
  UniFFIPointer = 16230,
  UniFFIScaffolding = 16244,
  UserInteraction = 16262,
  UserProximityEvent = 16278,
  VRDisplay = 16297,
  VRDisplayCapabilities = 16307,
  VRDisplayEvent = 16329,
  VREyeParameters = 16344,
  VRFieldOfView = 16360,
  VRFrameData = 16374,
  VRMockController = 16386,
  VRMockDisplay = 16403,
  VRPose = 16417,
  VRServiceTest = 16424,
  VRStageParameters = 16438,
  VTTCue = 16456,
  VTTRegion = 16463,
  ValidityState = 16473,
  VideoColorSpace = 16487,
  VideoDecoder = 16503,
  VideoFrame = 16516,
  VideoPlaybackQuality = 16527,
  VideoTrack = 16548,
  VideoTrackList = 16559,
  VisualViewport = 16574,
  WEBGL_color_buffer_float = 16589,
  WEBGL_compressed_texture_astc = 16614,
  WEBGL_compressed_texture_etc = 16644,
  WEBGL_compressed_texture_etc1 = 16673,
  WEBGL_compressed_texture_pvrtc = 16703,
  WEBGL_compressed_texture_s3tc = 16734,
  WEBGL_compressed_texture_s3tc_srgb = 16764,
  WEBGL_debug_renderer_info = 16799,
  WEBGL_debug_shaders = 16825,
  WEBGL_depth_texture = 16845,
  WEBGL_draw_buffers = 16865,
  WEBGL_explicit_present = 16884,
  WEBGL_lose_context = 16907,
  WEBGL_provoking_vertex = 16926,
  WaveShaperNode = 16949,
  WebExtensionContentScript = 16964,
  WebExtensionPolicy = 16990,
  WebGL2RenderingContext = 17009,
  WebGLActiveInfo = 17032,
  WebGLBuffer = 17048,
  WebGLContextEvent = 17060,
  WebGLFramebuffer = 17078,
  WebGLProgram = 17095,
  WebGLQuery = 17108,
  WebGLRenderbuffer = 17119,
  WebGLRenderingContext = 17137,
  WebGLSampler = 17159,
  WebGLShader = 17172,
  WebGLShaderPrecisionFormat = 17184,
  WebGLSync = 17211,
  WebGLTexture = 17221,
  WebGLTransformFeedback = 17234,
  WebGLUniformLocation = 17257,
  WebGLVertexArrayObject = 17278,
  WebKitCSSMatrix = 17301,
  WebSocket = 17317,
  WebTransport = 17327,
  WebTransportBidirectionalStream = 17340,
  WebTransportDatagramDuplexStream = 17372,
  WebTransportError = 17405,
  WebTransportReceiveStream = 17423,
  WebTransportSendStream = 17449,
  WebrtcGlobalInformation = 17472,
  WheelEvent = 17496,
  Window = 17507,
  WindowClient = 17514,
  WindowContext = 17527,
  WindowGlobalChild = 17541,
  WindowGlobalParent = 17559,
  WindowRoot = 17578,
  Worker = 17589,
  WorkerDebuggerGlobalScope = 17596,
  WorkerGlobalScope = 17622,
  WorkerLocation = 17640,
  WorkerNavigator = 17655,
  WorkerTestUtils = 17671,
  Worklet = 17687,
  WorkletGlobalScope = 17695,
  WritableStream = 17714,
  WritableStreamDefaultController = 17729,
  WritableStreamDefaultWriter = 17761,
  XMLDocument = 17789,
  XMLHttpRequest = 17801,
  XMLHttpRequestEventTarget = 17816,
  XMLHttpRequestUpload = 17842,
  XMLSerializer = 17863,
  XPathEvaluator = 17877,
  XPathExpression = 17892,
  XPathResult = 17908,
  XRBoundedReferenceSpace = 17920,
  XRFrame = 17944,
  XRInputSource = 17952,
  XRInputSourceArray = 17966,
  XRInputSourceEvent = 17985,
  XRInputSourcesChangeEvent = 18004,
  XRPose = 18030,
  XRReferenceSpace = 18037,
  XRReferenceSpaceEvent = 18054,
  XRRenderState = 18076,
  XRRigidTransform = 18090,
  XRSession = 18107,
  XRSessionEvent = 18117,
  XRSpace = 18132,
  XRSystem = 18140,
  XRView = 18149,
  XRViewerPose = 18156,
  XRViewport = 18169,
  XRWebGLLayer = 18180,
  XSLTProcessor = 18193,
  XULCommandEvent = 18207,
  XULElement = 18223,
  XULFrameElement = 18234,
  XULMenuElement = 18250,
  XULPopupElement = 18265,
  XULResizerElement = 18281,
  XULTextElement = 18299,
  XULTreeElement = 18314,
  console = 18329,
  webkitSpeechGrammar = 18337,
  webkitSpeechGrammarList = 18357,
  webkitSpeechRecognition = 18381,
  webkitURL = 18405,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
