#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSFontPaletteValuesRule" "\0"
  /*   974 */ "CSSGroupingRule" "\0"
  /*   990 */ "CSSImportRule" "\0"
  /*  1004 */ "CSSKeyframeRule" "\0"
  /*  1020 */ "CSSKeyframesRule" "\0"
  /*  1037 */ "CSSLayerBlockRule" "\0"
  /*  1055 */ "CSSLayerStatementRule" "\0"
  /*  1077 */ "CSSMediaRule" "\0"
  /*  1090 */ "CSSMozDocumentRule" "\0"
  /*  1109 */ "CSSNamespaceRule" "\0"
  /*  1126 */ "CSSPageRule" "\0"
  /*  1138 */ "CSSPropertyRule" "\0"
  /*  1154 */ "CSSPseudoElement" "\0"
  /*  1171 */ "CSSRule" "\0"
  /*  1179 */ "CSSRuleList" "\0"
  /*  1191 */ "CSSStyleDeclaration" "\0"
  /*  1211 */ "CSSStyleRule" "\0"
  /*  1224 */ "CSSStyleSheet" "\0"
  /*  1238 */ "CSSSupportsRule" "\0"
  /*  1254 */ "CSSTransition" "\0"
  /*  1268 */ "Cache" "\0"
  /*  1274 */ "CacheStorage" "\0"
  /*  1287 */ "CallbackDebuggerNotification" "\0"
  /*  1316 */ "CanonicalBrowsingContext" "\0"
  /*  1341 */ "CanvasCaptureMediaStream" "\0"
  /*  1366 */ "CanvasGradient" "\0"
  /*  1381 */ "CanvasPattern" "\0"
  /*  1395 */ "CanvasRenderingContext2D" "\0"
  /*  1420 */ "CaretPosition" "\0"
  /*  1434 */ "CaretStateChangedEvent" "\0"
  /*  1457 */ "ChannelMergerNode" "\0"
  /*  1475 */ "ChannelSplitterNode" "\0"
  /*  1495 */ "ChannelWrapper" "\0"
  /*  1510 */ "CharacterData" "\0"
  /*  1524 */ "CheckerboardReportService" "\0"
  /*  1550 */ "ChildProcessMessageManager" "\0"
  /*  1577 */ "ChildSHistory" "\0"
  /*  1591 */ "ChromeMessageBroadcaster" "\0"
  /*  1616 */ "ChromeMessageSender" "\0"
  /*  1636 */ "ChromeNodeList" "\0"
  /*  1651 */ "ChromeUtils" "\0"
  /*  1663 */ "ChromeWorker" "\0"
  /*  1676 */ "Client" "\0"
  /*  1683 */ "Clients" "\0"
  /*  1691 */ "Clipboard" "\0"
  /*  1701 */ "ClipboardEvent" "\0"
  /*  1716 */ "ClipboardItem" "\0"
  /*  1730 */ "ClonedErrorHolder" "\0"
  /*  1748 */ "CloseEvent" "\0"
  /*  1759 */ "CommandEvent" "\0"
  /*  1772 */ "Comment" "\0"
  /*  1780 */ "CompositionEvent" "\0"
  /*  1797 */ "CompressionStream" "\0"
  /*  1815 */ "ConsoleInstance" "\0"
  /*  1831 */ "ConstantSourceNode" "\0"
  /*  1850 */ "ContentFrameMessageManager" "\0"
  /*  1877 */ "ContentProcessMessageManager" "\0"
  /*  1906 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1944 */ "ConvolverNode" "\0"
  /*  1958 */ "CountQueuingStrategy" "\0"
  /*  1979 */ "CreateOfferRequest" "\0"
  /*  1998 */ "Credential" "\0"
  /*  2009 */ "CredentialsContainer" "\0"
  /*  2030 */ "Crypto" "\0"
  /*  2037 */ "CryptoKey" "\0"
  /*  2047 */ "CustomElementRegistry" "\0"
  /*  2069 */ "CustomEvent" "\0"
  /*  2081 */ "DOMException" "\0"
  /*  2094 */ "DOMImplementation" "\0"
  /*  2112 */ "DOMLocalization" "\0"
  /*  2128 */ "DOMMatrix" "\0"
  /*  2138 */ "DOMMatrixReadOnly" "\0"
  /*  2156 */ "DOMParser" "\0"
  /*  2166 */ "DOMPoint" "\0"
  /*  2175 */ "DOMPointReadOnly" "\0"
  /*  2192 */ "DOMQuad" "\0"
  /*  2200 */ "DOMRect" "\0"
  /*  2208 */ "DOMRectList" "\0"
  /*  2220 */ "DOMRectReadOnly" "\0"
  /*  2236 */ "DOMRequest" "\0"
  /*  2247 */ "DOMStringList" "\0"
  /*  2261 */ "DOMStringMap" "\0"
  /*  2274 */ "DOMTokenList" "\0"
  /*  2287 */ "DataTransfer" "\0"
  /*  2300 */ "DataTransferItem" "\0"
  /*  2317 */ "DataTransferItemList" "\0"
  /*  2338 */ "DebuggerNotification" "\0"
  /*  2359 */ "DebuggerNotificationObserver" "\0"
  /*  2388 */ "DecompressionStream" "\0"
  /*  2408 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2435 */ "DelayNode" "\0"
  /*  2445 */ "DeprecationReportBody" "\0"
  /*  2467 */ "DeviceAcceleration" "\0"
  /*  2486 */ "DeviceLightEvent" "\0"
  /*  2503 */ "DeviceMotionEvent" "\0"
  /*  2521 */ "DeviceOrientationEvent" "\0"
  /*  2544 */ "DeviceRotationRate" "\0"
  /*  2563 */ "Directory" "\0"
  /*  2573 */ "Document" "\0"
  /*  2582 */ "DocumentFragment" "\0"
  /*  2599 */ "DocumentL10n" "\0"
  /*  2612 */ "DocumentTimeline" "\0"
  /*  2629 */ "DocumentType" "\0"
  /*  2642 */ "DominatorTree" "\0"
  /*  2656 */ "DragEvent" "\0"
  /*  2666 */ "DynamicsCompressorNode" "\0"
  /*  2689 */ "EXT_blend_minmax" "\0"
  /*  2706 */ "EXT_color_buffer_float" "\0"
  /*  2729 */ "EXT_color_buffer_half_float" "\0"
  /*  2757 */ "EXT_disjoint_timer_query" "\0"
  /*  2782 */ "EXT_float_blend" "\0"
  /*  2798 */ "EXT_frag_depth" "\0"
  /*  2813 */ "EXT_sRGB" "\0"
  /*  2822 */ "EXT_shader_texture_lod" "\0"
  /*  2845 */ "EXT_texture_compression_bptc" "\0"
  /*  2874 */ "EXT_texture_compression_rgtc" "\0"
  /*  2903 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2934 */ "EXT_texture_norm16" "\0"
  /*  2953 */ "Element" "\0"
  /*  2961 */ "ElementInternals" "\0"
  /*  2978 */ "EncodedVideoChunk" "\0"
  /*  2996 */ "ErrorEvent" "\0"
  /*  3007 */ "Event" "\0"
  /*  3013 */ "EventCallbackDebuggerNotification" "\0"
  /*  3047 */ "EventCounts" "\0"
  /*  3059 */ "EventSource" "\0"
  /*  3071 */ "EventTarget" "\0"
  /*  3083 */ "Exception" "\0"
  /*  3093 */ "ExtendableEvent" "\0"
  /*  3109 */ "ExtendableMessageEvent" "\0"
  /*  3132 */ "ExtensionAlarms" "\0"
  /*  3148 */ "ExtensionBrowser" "\0"
  /*  3165 */ "ExtensionBrowserSettings" "\0"
  /*  3190 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3230 */ "ExtensionDns" "\0"
  /*  3243 */ "ExtensionEventManager" "\0"
  /*  3265 */ "ExtensionMockAPI" "\0"
  /*  3282 */ "ExtensionPort" "\0"
  /*  3296 */ "ExtensionProxy" "\0"
  /*  3311 */ "ExtensionRuntime" "\0"
  /*  3328 */ "ExtensionScripting" "\0"
  /*  3347 */ "ExtensionSetting" "\0"
  /*  3364 */ "ExtensionTest" "\0"
  /*  3378 */ "External" "\0"
  /*  3387 */ "FeaturePolicy" "\0"
  /*  3401 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3434 */ "FetchEvent" "\0"
  /*  3445 */ "FetchObserver" "\0"
  /*  3459 */ "File" "\0"
  /*  3464 */ "FileList" "\0"
  /*  3473 */ "FileReader" "\0"
  /*  3484 */ "FileReaderSync" "\0"
  /*  3499 */ "FileSystem" "\0"
  /*  3510 */ "FileSystemDirectoryEntry" "\0"
  /*  3535 */ "FileSystemDirectoryHandle" "\0"
  /*  3561 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3601 */ "FileSystemDirectoryIterator" "\0"
  /*  3629 */ "FileSystemDirectoryReader" "\0"
  /*  3655 */ "FileSystemEntry" "\0"
  /*  3671 */ "FileSystemFileEntry" "\0"
  /*  3691 */ "FileSystemFileHandle" "\0"
  /*  3712 */ "FileSystemHandle" "\0"
  /*  3729 */ "FileSystemSyncAccessHandle" "\0"
  /*  3756 */ "FileSystemWritableFileStream" "\0"
  /*  3785 */ "Flex" "\0"
  /*  3790 */ "FlexItemValues" "\0"
  /*  3805 */ "FlexLineValues" "\0"
  /*  3820 */ "FluentBundle" "\0"
  /*  3833 */ "FluentBundleAsyncIterator" "\0"
  /*  3859 */ "FluentBundleIterator" "\0"
  /*  3880 */ "FluentPattern" "\0"
  /*  3894 */ "FluentResource" "\0"
  /*  3909 */ "FocusEvent" "\0"
  /*  3920 */ "FontFace" "\0"
  /*  3929 */ "FontFaceSet" "\0"
  /*  3941 */ "FontFaceSetIterator" "\0"
  /*  3961 */ "FontFaceSetLoadEvent" "\0"
  /*  3982 */ "FormData" "\0"
  /*  3991 */ "FormData Iterator" "\0"
  /*  4009 */ "FormDataEvent" "\0"
  /*  4023 */ "FrameCrashedEvent" "\0"
  /*  4041 */ "FrameLoader" "\0"
  /*  4053 */ "GPU" "\0"
  /*  4057 */ "GPUAdapter" "\0"
  /*  4068 */ "GPUAdapterInfo" "\0"
  /*  4083 */ "GPUBindGroup" "\0"
  /*  4096 */ "GPUBindGroupLayout" "\0"
  /*  4115 */ "GPUBuffer" "\0"
  /*  4125 */ "GPUBufferUsage" "\0"
  /*  4140 */ "GPUCanvasContext" "\0"
  /*  4157 */ "GPUColorWrite" "\0"
  /*  4171 */ "GPUCommandBuffer" "\0"
  /*  4188 */ "GPUCommandEncoder" "\0"
  /*  4206 */ "GPUCompilationInfo" "\0"
  /*  4225 */ "GPUCompilationMessage" "\0"
  /*  4247 */ "GPUComputePassEncoder" "\0"
  /*  4269 */ "GPUComputePipeline" "\0"
  /*  4288 */ "GPUDevice" "\0"
  /*  4298 */ "GPUDeviceLostInfo" "\0"
  /*  4316 */ "GPUMapMode" "\0"
  /*  4327 */ "GPUOutOfMemoryError" "\0"
  /*  4347 */ "GPUPipelineLayout" "\0"
  /*  4365 */ "GPUQuerySet" "\0"
  /*  4377 */ "GPUQueue" "\0"
  /*  4386 */ "GPURenderBundle" "\0"
  /*  4402 */ "GPURenderBundleEncoder" "\0"
  /*  4425 */ "GPURenderPassEncoder" "\0"
  /*  4446 */ "GPURenderPipeline" "\0"
  /*  4464 */ "GPUSampler" "\0"
  /*  4475 */ "GPUShaderModule" "\0"
  /*  4491 */ "GPUShaderStage" "\0"
  /*  4506 */ "GPUSupportedFeatures" "\0"
  /*  4527 */ "GPUSupportedLimits" "\0"
  /*  4546 */ "GPUTexture" "\0"
  /*  4557 */ "GPUTextureUsage" "\0"
  /*  4573 */ "GPUTextureView" "\0"
  /*  4588 */ "GPUUncapturedErrorEvent" "\0"
  /*  4612 */ "GPUValidationError" "\0"
  /*  4631 */ "GainNode" "\0"
  /*  4640 */ "Gamepad" "\0"
  /*  4648 */ "GamepadAxisMoveEvent" "\0"
  /*  4669 */ "GamepadButton" "\0"
  /*  4683 */ "GamepadButtonEvent" "\0"
  /*  4702 */ "GamepadEvent" "\0"
  /*  4715 */ "GamepadHapticActuator" "\0"
  /*  4737 */ "GamepadLightIndicator" "\0"
  /*  4759 */ "GamepadPose" "\0"
  /*  4771 */ "GamepadServiceTest" "\0"
  /*  4790 */ "GamepadTouch" "\0"
  /*  4803 */ "Geolocation" "\0"
  /*  4815 */ "GeolocationCoordinates" "\0"
  /*  4838 */ "GeolocationPosition" "\0"
  /*  4858 */ "GeolocationPositionError" "\0"
  /*  4883 */ "GetUserMediaRequest" "\0"
  /*  4903 */ "GleanCategory" "\0"
  /*  4917 */ "GleanImpl" "\0"
  /*  4927 */ "GleanLabeled" "\0"
  /*  4940 */ "GleanPingsImpl" "\0"
  /*  4955 */ "Grid" "\0"
  /*  4960 */ "GridArea" "\0"
  /*  4969 */ "GridDimension" "\0"
  /*  4983 */ "GridLine" "\0"
  /*  4992 */ "GridLines" "\0"
  /*  5002 */ "GridTrack" "\0"
  /*  5012 */ "GridTracks" "\0"
  /*  5023 */ "HTMLAllCollection" "\0"
  /*  5041 */ "HTMLAnchorElement" "\0"
  /*  5059 */ "HTMLAreaElement" "\0"
  /*  5075 */ "HTMLAudioElement" "\0"
  /*  5092 */ "HTMLBRElement" "\0"
  /*  5106 */ "HTMLBaseElement" "\0"
  /*  5122 */ "HTMLBodyElement" "\0"
  /*  5138 */ "HTMLButtonElement" "\0"
  /*  5156 */ "HTMLCanvasElement" "\0"
  /*  5174 */ "HTMLCollection" "\0"
  /*  5189 */ "HTMLDListElement" "\0"
  /*  5206 */ "HTMLDataElement" "\0"
  /*  5222 */ "HTMLDataListElement" "\0"
  /*  5242 */ "HTMLDetailsElement" "\0"
  /*  5261 */ "HTMLDialogElement" "\0"
  /*  5279 */ "HTMLDirectoryElement" "\0"
  /*  5300 */ "HTMLDivElement" "\0"
  /*  5315 */ "HTMLDocument" "\0"
  /*  5328 */ "HTMLElement" "\0"
  /*  5340 */ "HTMLEmbedElement" "\0"
  /*  5357 */ "HTMLFieldSetElement" "\0"
  /*  5377 */ "HTMLFontElement" "\0"
  /*  5393 */ "HTMLFormControlsCollection" "\0"
  /*  5420 */ "HTMLFormElement" "\0"
  /*  5436 */ "HTMLFrameElement" "\0"
  /*  5453 */ "HTMLFrameSetElement" "\0"
  /*  5473 */ "HTMLHRElement" "\0"
  /*  5487 */ "HTMLHeadElement" "\0"
  /*  5503 */ "HTMLHeadingElement" "\0"
  /*  5522 */ "HTMLHtmlElement" "\0"
  /*  5538 */ "HTMLIFrameElement" "\0"
  /*  5556 */ "HTMLImageElement" "\0"
  /*  5573 */ "HTMLInputElement" "\0"
  /*  5590 */ "HTMLLIElement" "\0"
  /*  5604 */ "HTMLLabelElement" "\0"
  /*  5621 */ "HTMLLegendElement" "\0"
  /*  5639 */ "HTMLLinkElement" "\0"
  /*  5655 */ "HTMLMapElement" "\0"
  /*  5670 */ "HTMLMarqueeElement" "\0"
  /*  5689 */ "HTMLMediaElement" "\0"
  /*  5706 */ "HTMLMenuElement" "\0"
  /*  5722 */ "HTMLMetaElement" "\0"
  /*  5738 */ "HTMLMeterElement" "\0"
  /*  5755 */ "HTMLModElement" "\0"
  /*  5770 */ "HTMLOListElement" "\0"
  /*  5787 */ "HTMLObjectElement" "\0"
  /*  5805 */ "HTMLOptGroupElement" "\0"
  /*  5825 */ "HTMLOptionElement" "\0"
  /*  5843 */ "HTMLOptionsCollection" "\0"
  /*  5865 */ "HTMLOutputElement" "\0"
  /*  5883 */ "HTMLParagraphElement" "\0"
  /*  5904 */ "HTMLParamElement" "\0"
  /*  5921 */ "HTMLPictureElement" "\0"
  /*  5940 */ "HTMLPreElement" "\0"
  /*  5955 */ "HTMLProgressElement" "\0"
  /*  5975 */ "HTMLQuoteElement" "\0"
  /*  5992 */ "HTMLScriptElement" "\0"
  /*  6010 */ "HTMLSelectElement" "\0"
  /*  6028 */ "HTMLSlotElement" "\0"
  /*  6044 */ "HTMLSourceElement" "\0"
  /*  6062 */ "HTMLSpanElement" "\0"
  /*  6078 */ "HTMLStyleElement" "\0"
  /*  6095 */ "HTMLTableCaptionElement" "\0"
  /*  6119 */ "HTMLTableCellElement" "\0"
  /*  6140 */ "HTMLTableColElement" "\0"
  /*  6160 */ "HTMLTableElement" "\0"
  /*  6177 */ "HTMLTableRowElement" "\0"
  /*  6197 */ "HTMLTableSectionElement" "\0"
  /*  6221 */ "HTMLTemplateElement" "\0"
  /*  6241 */ "HTMLTextAreaElement" "\0"
  /*  6261 */ "HTMLTimeElement" "\0"
  /*  6277 */ "HTMLTitleElement" "\0"
  /*  6294 */ "HTMLTrackElement" "\0"
  /*  6311 */ "HTMLUListElement" "\0"
  /*  6328 */ "HTMLUnknownElement" "\0"
  /*  6347 */ "HTMLVideoElement" "\0"
  /*  6364 */ "HashChangeEvent" "\0"
  /*  6380 */ "Headers" "\0"
  /*  6388 */ "Headers Iterator" "\0"
  /*  6405 */ "HeapSnapshot" "\0"
  /*  6418 */ "Highlight" "\0"
  /*  6428 */ "HighlightRegistry" "\0"
  /*  6446 */ "History" "\0"
  /*  6454 */ "IDBCursor" "\0"
  /*  6464 */ "IDBCursorWithValue" "\0"
  /*  6483 */ "IDBDatabase" "\0"
  /*  6495 */ "IDBFactory" "\0"
  /*  6506 */ "IDBIndex" "\0"
  /*  6515 */ "IDBKeyRange" "\0"
  /*  6527 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6550 */ "IDBObjectStore" "\0"
  /*  6565 */ "IDBOpenDBRequest" "\0"
  /*  6582 */ "IDBRequest" "\0"
  /*  6593 */ "IDBTransaction" "\0"
  /*  6608 */ "IDBVersionChangeEvent" "\0"
  /*  6630 */ "IIRFilterNode" "\0"
  /*  6644 */ "IOUtils" "\0"
  /*  6652 */ "IdentityCredential" "\0"
  /*  6671 */ "IdleDeadline" "\0"
  /*  6684 */ "Image" "\0"
  /*  6690 */ "ImageBitmap" "\0"
  /*  6702 */ "ImageBitmapRenderingContext" "\0"
  /*  6730 */ "ImageCapture" "\0"
  /*  6743 */ "ImageCaptureError" "\0"
  /*  6761 */ "ImageCaptureErrorEvent" "\0"
  /*  6784 */ "ImageData" "\0"
  /*  6794 */ "ImageDocument" "\0"
  /*  6808 */ "InputEvent" "\0"
  /*  6819 */ "InspectorFontFace" "\0"
  /*  6837 */ "InspectorUtils" "\0"
  /*  6852 */ "InstallTriggerImpl" "\0"
  /*  6871 */ "IntersectionObserver" "\0"
  /*  6892 */ "IntersectionObserverEntry" "\0"
  /*  6918 */ "IntlUtils" "\0"
  /*  6928 */ "JSProcessActorChild" "\0"
  /*  6948 */ "JSProcessActorParent" "\0"
  /*  6969 */ "JSWindowActorChild" "\0"
  /*  6988 */ "JSWindowActorParent" "\0"
  /*  7008 */ "KeyEvent" "\0"
  /*  7017 */ "KeyboardEvent" "\0"
  /*  7031 */ "KeyframeEffect" "\0"
  /*  7046 */ "L10nFileSource" "\0"
  /*  7061 */ "L10nOverlays" "\0"
  /*  7074 */ "L10nRegistry" "\0"
  /*  7087 */ "LargestContentfulPaint" "\0"
  /*  7110 */ "LegacyMozTCPSocket" "\0"
  /*  7129 */ "Localization" "\0"
  /*  7142 */ "Location" "\0"
  /*  7151 */ "Lock" "\0"
  /*  7156 */ "LockManager" "\0"
  /*  7168 */ "MIDIAccess" "\0"
  /*  7179 */ "MIDIConnectionEvent" "\0"
  /*  7199 */ "MIDIInput" "\0"
  /*  7209 */ "MIDIInputMap" "\0"
  /*  7222 */ "MIDIMessageEvent" "\0"
  /*  7239 */ "MIDIOutput" "\0"
  /*  7250 */ "MIDIOutputMap" "\0"
  /*  7264 */ "MIDIPort" "\0"
  /*  7273 */ "MOZ_debug" "\0"
  /*  7283 */ "MatchGlob" "\0"
  /*  7293 */ "MatchPattern" "\0"
  /*  7306 */ "MatchPatternSet" "\0"
  /*  7322 */ "MathMLElement" "\0"
  /*  7336 */ "MediaCapabilities" "\0"
  /*  7354 */ "MediaCapabilitiesInfo" "\0"
  /*  7376 */ "MediaControlService" "\0"
  /*  7396 */ "MediaController" "\0"
  /*  7412 */ "MediaDeviceInfo" "\0"
  /*  7428 */ "MediaDevices" "\0"
  /*  7441 */ "MediaElementAudioSourceNode" "\0"
  /*  7469 */ "MediaEncryptedEvent" "\0"
  /*  7489 */ "MediaError" "\0"
  /*  7500 */ "MediaKeyError" "\0"
  /*  7514 */ "MediaKeyMessageEvent" "\0"
  /*  7535 */ "MediaKeySession" "\0"
  /*  7551 */ "MediaKeyStatusMap" "\0"
  /*  7569 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7596 */ "MediaKeySystemAccess" "\0"
  /*  7617 */ "MediaKeys" "\0"
  /*  7627 */ "MediaList" "\0"
  /*  7637 */ "MediaMetadata" "\0"
  /*  7651 */ "MediaQueryList" "\0"
  /*  7666 */ "MediaQueryListEvent" "\0"
  /*  7686 */ "MediaRecorder" "\0"
  /*  7700 */ "MediaRecorderErrorEvent" "\0"
  /*  7724 */ "MediaSession" "\0"
  /*  7737 */ "MediaSource" "\0"
  /*  7749 */ "MediaStream" "\0"
  /*  7761 */ "MediaStreamAudioDestinationNode" "\0"
  /*  7793 */ "MediaStreamAudioSourceNode" "\0"
  /*  7820 */ "MediaStreamError" "\0"
  /*  7837 */ "MediaStreamEvent" "\0"
  /*  7854 */ "MediaStreamTrack" "\0"
  /*  7871 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  7903 */ "MediaStreamTrackEvent" "\0"
  /*  7925 */ "MerchantValidationEvent" "\0"
  /*  7949 */ "MessageBroadcaster" "\0"
  /*  7968 */ "MessageChannel" "\0"
  /*  7983 */ "MessageEvent" "\0"
  /*  7996 */ "MessageListenerManager" "\0"
  /*  8019 */ "MessagePort" "\0"
  /*  8031 */ "MessageSender" "\0"
  /*  8045 */ "MimeType" "\0"
  /*  8054 */ "MimeTypeArray" "\0"
  /*  8068 */ "MouseEvent" "\0"
  /*  8079 */ "MouseScrollEvent" "\0"
  /*  8096 */ "MozCanvasPrintState" "\0"
  /*  8116 */ "MozDocumentMatcher" "\0"
  /*  8135 */ "MozDocumentObserver" "\0"
  /*  8155 */ "MozQueryInterface" "\0"
  /*  8173 */ "MozSharedMap" "\0"
  /*  8186 */ "MozSharedMap Iterator" "\0"
  /*  8208 */ "MozSharedMapChangeEvent" "\0"
  /*  8232 */ "MozStorageAsyncStatementParams" "\0"
  /*  8263 */ "MozStorageStatementParams" "\0"
  /*  8289 */ "MozStorageStatementRow" "\0"
  /*  8312 */ "MozWritableSharedMap" "\0"
  /*  8333 */ "MutationEvent" "\0"
  /*  8347 */ "MutationObserver" "\0"
  /*  8364 */ "MutationRecord" "\0"
  /*  8379 */ "NamedNodeMap" "\0"
  /*  8392 */ "NavigationPreloadManager" "\0"
  /*  8417 */ "Navigator" "\0"
  /*  8427 */ "NetworkInformation" "\0"
  /*  8446 */ "Node" "\0"
  /*  8451 */ "NodeFilter" "\0"
  /*  8462 */ "NodeIterator" "\0"
  /*  8475 */ "NodeList" "\0"
  /*  8484 */ "Notification" "\0"
  /*  8497 */ "NotificationEvent" "\0"
  /*  8515 */ "NotifyPaintEvent" "\0"
  /*  8532 */ "OES_draw_buffers_indexed" "\0"
  /*  8557 */ "OES_element_index_uint" "\0"
  /*  8580 */ "OES_fbo_render_mipmap" "\0"
  /*  8602 */ "OES_standard_derivatives" "\0"
  /*  8627 */ "OES_texture_float" "\0"
  /*  8645 */ "OES_texture_float_linear" "\0"
  /*  8670 */ "OES_texture_half_float" "\0"
  /*  8693 */ "OES_texture_half_float_linear" "\0"
  /*  8723 */ "OES_vertex_array_object" "\0"
  /*  8747 */ "OVR_multiview2" "\0"
  /*  8762 */ "OfflineAudioCompletionEvent" "\0"
  /*  8790 */ "OfflineAudioContext" "\0"
  /*  8810 */ "OffscreenCanvas" "\0"
  /*  8826 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  8860 */ "OnlyForUseInConstructor" "\0"
  /*  8884 */ "Option" "\0"
  /*  8891 */ "OscillatorNode" "\0"
  /*  8906 */ "PageTransitionEvent" "\0"
  /*  8926 */ "PaintRequest" "\0"
  /*  8939 */ "PaintRequestList" "\0"
  /*  8956 */ "PaintWorkletGlobalScope" "\0"
  /*  8980 */ "PannerNode" "\0"
  /*  8991 */ "ParentProcessMessageManager" "\0"
  /*  9019 */ "Path2D" "\0"
  /*  9026 */ "PathUtils" "\0"
  /*  9036 */ "PaymentAddress" "\0"
  /*  9051 */ "PaymentMethodChangeEvent" "\0"
  /*  9076 */ "PaymentRequest" "\0"
  /*  9091 */ "PaymentRequestUpdateEvent" "\0"
  /*  9117 */ "PaymentResponse" "\0"
  /*  9133 */ "PeerConnectionImpl" "\0"
  /*  9152 */ "PeerConnectionObserver" "\0"
  /*  9175 */ "Performance" "\0"
  /*  9187 */ "PerformanceEntry" "\0"
  /*  9204 */ "PerformanceEntryEvent" "\0"
  /*  9226 */ "PerformanceEventTiming" "\0"
  /*  9249 */ "PerformanceMark" "\0"
  /*  9265 */ "PerformanceMeasure" "\0"
  /*  9284 */ "PerformanceNavigation" "\0"
  /*  9306 */ "PerformanceNavigationTiming" "\0"
  /*  9334 */ "PerformanceObserver" "\0"
  /*  9354 */ "PerformanceObserverEntryList" "\0"
  /*  9383 */ "PerformancePaintTiming" "\0"
  /*  9406 */ "PerformanceResourceTiming" "\0"
  /*  9432 */ "PerformanceServerTiming" "\0"
  /*  9456 */ "PerformanceTiming" "\0"
  /*  9474 */ "PeriodicWave" "\0"
  /*  9487 */ "PermissionStatus" "\0"
  /*  9504 */ "Permissions" "\0"
  /*  9516 */ "PlacesBookmark" "\0"
  /*  9531 */ "PlacesBookmarkAddition" "\0"
  /*  9554 */ "PlacesBookmarkChanged" "\0"
  /*  9576 */ "PlacesBookmarkGuid" "\0"
  /*  9595 */ "PlacesBookmarkKeyword" "\0"
  /*  9617 */ "PlacesBookmarkMoved" "\0"
  /*  9637 */ "PlacesBookmarkRemoved" "\0"
  /*  9659 */ "PlacesBookmarkTags" "\0"
  /*  9678 */ "PlacesBookmarkTime" "\0"
  /*  9697 */ "PlacesBookmarkTitle" "\0"
  /*  9717 */ "PlacesBookmarkUrl" "\0"
  /*  9735 */ "PlacesEvent" "\0"
  /*  9747 */ "PlacesFavicon" "\0"
  /*  9761 */ "PlacesHistoryCleared" "\0"
  /*  9782 */ "PlacesObservers" "\0"
  /*  9798 */ "PlacesPurgeCaches" "\0"
  /*  9816 */ "PlacesRanking" "\0"
  /*  9830 */ "PlacesVisit" "\0"
  /*  9842 */ "PlacesVisitRemoved" "\0"
  /*  9861 */ "PlacesVisitTitle" "\0"
  /*  9878 */ "PlacesWeakCallbackWrapper" "\0"
  /*  9904 */ "Plugin" "\0"
  /*  9911 */ "PluginArray" "\0"
  /*  9923 */ "PluginCrashedEvent" "\0"
  /*  9942 */ "PointerEvent" "\0"
  /*  9955 */ "PopStateEvent" "\0"
  /*  9969 */ "PopupBlockedEvent" "\0"
  /*  9987 */ "PopupPositionedEvent" "\0"
  /* 10008 */ "PositionStateEvent" "\0"
  /* 10027 */ "PrecompiledScript" "\0"
  /* 10045 */ "ProcessMessageManager" "\0"
  /* 10067 */ "ProcessingInstruction" "\0"
  /* 10089 */ "ProgressEvent" "\0"
  /* 10103 */ "PromiseDebugging" "\0"
  /* 10120 */ "PromiseNativeHandler" "\0"
  /* 10141 */ "PromiseRejectionEvent" "\0"
  /* 10163 */ "PublicKeyCredential" "\0"
  /* 10183 */ "PushEvent" "\0"
  /* 10193 */ "PushManager" "\0"
  /* 10205 */ "PushManagerImpl" "\0"
  /* 10221 */ "PushMessageData" "\0"
  /* 10237 */ "PushSubscription" "\0"
  /* 10254 */ "PushSubscriptionOptions" "\0"
  /* 10278 */ "RTCCertificate" "\0"
  /* 10293 */ "RTCDTMFSender" "\0"
  /* 10307 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10330 */ "RTCDataChannel" "\0"
  /* 10345 */ "RTCDataChannelEvent" "\0"
  /* 10365 */ "RTCDtlsTransport" "\0"
  /* 10382 */ "RTCIceCandidate" "\0"
  /* 10398 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10427 */ "RTCPeerConnection" "\0"
  /* 10445 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10471 */ "RTCPeerConnectionStatic" "\0"
  /* 10495 */ "RTCRtpReceiver" "\0"
  /* 10510 */ "RTCRtpSender" "\0"
  /* 10523 */ "RTCRtpTransceiver" "\0"
  /* 10541 */ "RTCSctpTransport" "\0"
  /* 10558 */ "RTCSessionDescription" "\0"
  /* 10580 */ "RTCStatsReport" "\0"
  /* 10595 */ "RTCTrackEvent" "\0"
  /* 10609 */ "RadioNodeList" "\0"
  /* 10623 */ "Range" "\0"
  /* 10629 */ "ReadableByteStreamController" "\0"
  /* 10658 */ "ReadableStream" "\0"
  /* 10673 */ "ReadableStream AsyncIterator" "\0"
  /* 10702 */ "ReadableStreamBYOBReader" "\0"
  /* 10727 */ "ReadableStreamBYOBRequest" "\0"
  /* 10753 */ "ReadableStreamDefaultController" "\0"
  /* 10785 */ "ReadableStreamDefaultReader" "\0"
  /* 10813 */ "Report" "\0"
  /* 10820 */ "ReportBody" "\0"
  /* 10831 */ "ReportingObserver" "\0"
  /* 10849 */ "Request" "\0"
  /* 10857 */ "ResizeObserver" "\0"
  /* 10872 */ "ResizeObserverEntry" "\0"
  /* 10892 */ "ResizeObserverSize" "\0"
  /* 10911 */ "Response" "\0"
  /* 10920 */ "SVGAElement" "\0"
  /* 10932 */ "SVGAngle" "\0"
  /* 10941 */ "SVGAnimateElement" "\0"
  /* 10959 */ "SVGAnimateMotionElement" "\0"
  /* 10983 */ "SVGAnimateTransformElement" "\0"
  /* 11010 */ "SVGAnimatedAngle" "\0"
  /* 11027 */ "SVGAnimatedBoolean" "\0"
  /* 11046 */ "SVGAnimatedEnumeration" "\0"
  /* 11069 */ "SVGAnimatedInteger" "\0"
  /* 11088 */ "SVGAnimatedLength" "\0"
  /* 11106 */ "SVGAnimatedLengthList" "\0"
  /* 11128 */ "SVGAnimatedNumber" "\0"
  /* 11146 */ "SVGAnimatedNumberList" "\0"
  /* 11168 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11199 */ "SVGAnimatedRect" "\0"
  /* 11215 */ "SVGAnimatedString" "\0"
  /* 11233 */ "SVGAnimatedTransformList" "\0"
  /* 11258 */ "SVGAnimationElement" "\0"
  /* 11278 */ "SVGCircleElement" "\0"
  /* 11295 */ "SVGClipPathElement" "\0"
  /* 11314 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11350 */ "SVGDefsElement" "\0"
  /* 11365 */ "SVGDescElement" "\0"
  /* 11380 */ "SVGElement" "\0"
  /* 11391 */ "SVGEllipseElement" "\0"
  /* 11409 */ "SVGFEBlendElement" "\0"
  /* 11427 */ "SVGFEColorMatrixElement" "\0"
  /* 11451 */ "SVGFEComponentTransferElement" "\0"
  /* 11481 */ "SVGFECompositeElement" "\0"
  /* 11503 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11530 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11558 */ "SVGFEDisplacementMapElement" "\0"
  /* 11586 */ "SVGFEDistantLightElement" "\0"
  /* 11611 */ "SVGFEDropShadowElement" "\0"
  /* 11634 */ "SVGFEFloodElement" "\0"
  /* 11652 */ "SVGFEFuncAElement" "\0"
  /* 11670 */ "SVGFEFuncBElement" "\0"
  /* 11688 */ "SVGFEFuncGElement" "\0"
  /* 11706 */ "SVGFEFuncRElement" "\0"
  /* 11724 */ "SVGFEGaussianBlurElement" "\0"
  /* 11749 */ "SVGFEImageElement" "\0"
  /* 11767 */ "SVGFEMergeElement" "\0"
  /* 11785 */ "SVGFEMergeNodeElement" "\0"
  /* 11807 */ "SVGFEMorphologyElement" "\0"
  /* 11830 */ "SVGFEOffsetElement" "\0"
  /* 11849 */ "SVGFEPointLightElement" "\0"
  /* 11872 */ "SVGFESpecularLightingElement" "\0"
  /* 11901 */ "SVGFESpotLightElement" "\0"
  /* 11923 */ "SVGFETileElement" "\0"
  /* 11940 */ "SVGFETurbulenceElement" "\0"
  /* 11963 */ "SVGFilterElement" "\0"
  /* 11980 */ "SVGForeignObjectElement" "\0"
  /* 12004 */ "SVGGElement" "\0"
  /* 12016 */ "SVGGeometryElement" "\0"
  /* 12035 */ "SVGGradientElement" "\0"
  /* 12054 */ "SVGGraphicsElement" "\0"
  /* 12073 */ "SVGImageElement" "\0"
  /* 12089 */ "SVGLength" "\0"
  /* 12099 */ "SVGLengthList" "\0"
  /* 12113 */ "SVGLineElement" "\0"
  /* 12128 */ "SVGLinearGradientElement" "\0"
  /* 12153 */ "SVGMPathElement" "\0"
  /* 12169 */ "SVGMarkerElement" "\0"
  /* 12186 */ "SVGMaskElement" "\0"
  /* 12201 */ "SVGMatrix" "\0"
  /* 12211 */ "SVGMetadataElement" "\0"
  /* 12230 */ "SVGNumber" "\0"
  /* 12240 */ "SVGNumberList" "\0"
  /* 12254 */ "SVGPathElement" "\0"
  /* 12269 */ "SVGPathSeg" "\0"
  /* 12280 */ "SVGPathSegArcAbs" "\0"
  /* 12297 */ "SVGPathSegArcRel" "\0"
  /* 12314 */ "SVGPathSegClosePath" "\0"
  /* 12334 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12360 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12386 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12418 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12450 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12480 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12510 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12546 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12582 */ "SVGPathSegLinetoAbs" "\0"
  /* 12602 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12632 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12662 */ "SVGPathSegLinetoRel" "\0"
  /* 12682 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12710 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12738 */ "SVGPathSegList" "\0"
  /* 12753 */ "SVGPathSegMovetoAbs" "\0"
  /* 12773 */ "SVGPathSegMovetoRel" "\0"
  /* 12793 */ "SVGPatternElement" "\0"
  /* 12811 */ "SVGPoint" "\0"
  /* 12820 */ "SVGPointList" "\0"
  /* 12833 */ "SVGPolygonElement" "\0"
  /* 12851 */ "SVGPolylineElement" "\0"
  /* 12870 */ "SVGPreserveAspectRatio" "\0"
  /* 12893 */ "SVGRadialGradientElement" "\0"
  /* 12918 */ "SVGRect" "\0"
  /* 12926 */ "SVGRectElement" "\0"
  /* 12941 */ "SVGSVGElement" "\0"
  /* 12955 */ "SVGScriptElement" "\0"
  /* 12972 */ "SVGSetElement" "\0"
  /* 12986 */ "SVGStopElement" "\0"
  /* 13001 */ "SVGStringList" "\0"
  /* 13015 */ "SVGStyleElement" "\0"
  /* 13031 */ "SVGSwitchElement" "\0"
  /* 13048 */ "SVGSymbolElement" "\0"
  /* 13065 */ "SVGTSpanElement" "\0"
  /* 13081 */ "SVGTextContentElement" "\0"
  /* 13103 */ "SVGTextElement" "\0"
  /* 13118 */ "SVGTextPathElement" "\0"
  /* 13137 */ "SVGTextPositioningElement" "\0"
  /* 13163 */ "SVGTitleElement" "\0"
  /* 13179 */ "SVGTransform" "\0"
  /* 13192 */ "SVGTransformList" "\0"
  /* 13209 */ "SVGUnitTypes" "\0"
  /* 13222 */ "SVGUseElement" "\0"
  /* 13236 */ "SVGViewElement" "\0"
  /* 13251 */ "Sanitizer" "\0"
  /* 13261 */ "Scheduler" "\0"
  /* 13271 */ "Screen" "\0"
  /* 13278 */ "ScreenLuminance" "\0"
  /* 13294 */ "ScreenOrientation" "\0"
  /* 13312 */ "ScriptProcessorNode" "\0"
  /* 13332 */ "ScrollAreaEvent" "\0"
  /* 13348 */ "ScrollViewChangeEvent" "\0"
  /* 13370 */ "SecurityPolicyViolationEvent" "\0"
  /* 13399 */ "Selection" "\0"
  /* 13409 */ "ServiceWorker" "\0"
  /* 13423 */ "ServiceWorkerContainer" "\0"
  /* 13446 */ "ServiceWorkerGlobalScope" "\0"
  /* 13471 */ "ServiceWorkerRegistration" "\0"
  /* 13497 */ "SessionStoreFormData" "\0"
  /* 13518 */ "SessionStoreScrollData" "\0"
  /* 13541 */ "SessionStoreUtils" "\0"
  /* 13559 */ "ShadowRealmGlobalScope" "\0"
  /* 13582 */ "ShadowRoot" "\0"
  /* 13593 */ "SharedWorker" "\0"
  /* 13606 */ "SharedWorkerGlobalScope" "\0"
  /* 13630 */ "SimpleGestureEvent" "\0"
  /* 13649 */ "SourceBuffer" "\0"
  /* 13662 */ "SourceBufferList" "\0"
  /* 13679 */ "SpeechGrammar" "\0"
  /* 13693 */ "SpeechGrammarList" "\0"
  /* 13711 */ "SpeechRecognition" "\0"
  /* 13729 */ "SpeechRecognitionAlternative" "\0"
  /* 13758 */ "SpeechRecognitionError" "\0"
  /* 13781 */ "SpeechRecognitionEvent" "\0"
  /* 13804 */ "SpeechRecognitionResult" "\0"
  /* 13828 */ "SpeechRecognitionResultList" "\0"
  /* 13856 */ "SpeechSynthesis" "\0"
  /* 13872 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13898 */ "SpeechSynthesisEvent" "\0"
  /* 13919 */ "SpeechSynthesisUtterance" "\0"
  /* 13944 */ "SpeechSynthesisVoice" "\0"
  /* 13965 */ "StaticRange" "\0"
  /* 13977 */ "StereoPannerNode" "\0"
  /* 13994 */ "Storage" "\0"
  /* 14002 */ "StorageEvent" "\0"
  /* 14015 */ "StorageManager" "\0"
  /* 14030 */ "StreamFilter" "\0"
  /* 14043 */ "StreamFilterDataEvent" "\0"
  /* 14065 */ "StructuredCloneHolder" "\0"
  /* 14087 */ "StructuredCloneTester" "\0"
  /* 14109 */ "StyleSheet" "\0"
  /* 14120 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14157 */ "StyleSheetList" "\0"
  /* 14172 */ "SubmitEvent" "\0"
  /* 14184 */ "SubtleCrypto" "\0"
  /* 14197 */ "SyncMessageSender" "\0"
  /* 14215 */ "SyncReadFile" "\0"
  /* 14228 */ "TCPServerSocket" "\0"
  /* 14244 */ "TCPServerSocketEvent" "\0"
  /* 14265 */ "TCPSocket" "\0"
  /* 14275 */ "TCPSocketErrorEvent" "\0"
  /* 14295 */ "TCPSocketEvent" "\0"
  /* 14310 */ "TaskController" "\0"
  /* 14325 */ "TaskPriorityChangeEvent" "\0"
  /* 14349 */ "TaskSignal" "\0"
  /* 14360 */ "TelemetryStopwatch" "\0"
  /* 14379 */ "TestAttributesOnTypes" "\0"
  /* 14401 */ "TestCEReactionsInterface" "\0"
  /* 14426 */ "TestCImplementedInterface" "\0"
  /* 14452 */ "TestCImplementedInterface2" "\0"
  /* 14479 */ "TestChildInterface" "\0"
  /* 14498 */ "TestConstructorForFuncInterface" "\0"
  /* 14530 */ "TestConstructorForPrefInterface" "\0"
  /* 14562 */ "TestConstructorForSCInterface" "\0"
  /* 14592 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 14628 */ "TestDeprecatedInterface" "\0"
  /* 14652 */ "TestExampleInterface" "\0"
  /* 14673 */ "TestExampleProxyInterface" "\0"
  /* 14699 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 14739 */ "TestExampleWorkerInterface" "\0"
  /* 14766 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 14811 */ "TestFuncConstructorForInterface" "\0"
  /* 14843 */ "TestHTMLConstructorInterface" "\0"
  /* 14872 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 14916 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 14951 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 14986 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 15036 */ "TestIndexedGetterInterface" "\0"
  /* 15063 */ "TestIndexedSetterInterface" "\0"
  /* 15090 */ "TestInterface" "\0"
  /* 15104 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 15143 */ "TestJSImplInterface" "\0"
  /* 15163 */ "TestJSImplInterface2" "\0"
  /* 15184 */ "TestJSImplInterface3" "\0"
  /* 15205 */ "TestJSImplInterface4" "\0"
  /* 15226 */ "TestJSImplInterface5" "\0"
  /* 15247 */ "TestJSImplInterface6" "\0"
  /* 15268 */ "TestJSImplNoInterfaceObject" "\0"
  /* 15296 */ "TestNamedDeleterInterface" "\0"
  /* 15322 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 15358 */ "TestNamedGetterInterface" "\0"
  /* 15383 */ "TestNamedSetterInterface" "\0"
  /* 15408 */ "TestNamespace" "\0"
  /* 15422 */ "TestNonWrapperCacheInterface" "\0"
  /* 15451 */ "TestParentInterface" "\0"
  /* 15471 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 15519 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 15564 */ "TestPrefConstructorForInterface" "\0"
  /* 15596 */ "TestProtoObjectHackedNamespace" "\0"
  /* 15627 */ "TestRenamedInterface" "\0"
  /* 15648 */ "TestRenamedNamespace" "\0"
  /* 15669 */ "TestSCConstructorForInterface" "\0"
  /* 15699 */ "TestSecureContextInterface" "\0"
  /* 15726 */ "TestThrowingConstructorInterface" "\0"
  /* 15759 */ "TestUtils" "\0"
  /* 15769 */ "TestWorkerExposedInterface" "\0"
  /* 15796 */ "TestingDeprecatedInterface" "\0"
  /* 15823 */ "Text" "\0"
  /* 15828 */ "TextClause" "\0"
  /* 15839 */ "TextDecoder" "\0"
  /* 15851 */ "TextDecoderStream" "\0"
  /* 15869 */ "TextEncoder" "\0"
  /* 15881 */ "TextEncoderStream" "\0"
  /* 15899 */ "TextMetrics" "\0"
  /* 15911 */ "TextTrack" "\0"
  /* 15921 */ "TextTrackCue" "\0"
  /* 15934 */ "TextTrackCueList" "\0"
  /* 15951 */ "TextTrackList" "\0"
  /* 15965 */ "TimeEvent" "\0"
  /* 15975 */ "TimeRanges" "\0"
  /* 15986 */ "ToggleEvent" "\0"
  /* 15998 */ "Touch" "\0"
  /* 16004 */ "TouchEvent" "\0"
  /* 16015 */ "TouchList" "\0"
  /* 16025 */ "TrackEvent" "\0"
  /* 16036 */ "TransformStream" "\0"
  /* 16052 */ "TransformStreamDefaultController" "\0"
  /* 16085 */ "TransitionEvent" "\0"
  /* 16101 */ "TreeColumn" "\0"
  /* 16112 */ "TreeColumns" "\0"
  /* 16124 */ "TreeContentView" "\0"
  /* 16140 */ "TreeWalker" "\0"
  /* 16151 */ "UDPMessageEvent" "\0"
  /* 16167 */ "UDPSocket" "\0"
  /* 16177 */ "UIEvent" "\0"
  /* 16185 */ "URL" "\0"
  /* 16189 */ "URLSearchParams" "\0"
  /* 16205 */ "URLSearchParams Iterator" "\0"
  /* 16230 */ "UniFFIPointer" "\0"
  /* 16244 */ "UniFFIScaffolding" "\0"
  /* 16262 */ "UserInteraction" "\0"
  /* 16278 */ "UserProximityEvent" "\0"
  /* 16297 */ "VRDisplay" "\0"
  /* 16307 */ "VRDisplayCapabilities" "\0"
  /* 16329 */ "VRDisplayEvent" "\0"
  /* 16344 */ "VREyeParameters" "\0"
  /* 16360 */ "VRFieldOfView" "\0"
  /* 16374 */ "VRFrameData" "\0"
  /* 16386 */ "VRMockController" "\0"
  /* 16403 */ "VRMockDisplay" "\0"
  /* 16417 */ "VRPose" "\0"
  /* 16424 */ "VRServiceTest" "\0"
  /* 16438 */ "VRStageParameters" "\0"
  /* 16456 */ "VTTCue" "\0"
  /* 16463 */ "VTTRegion" "\0"
  /* 16473 */ "ValidityState" "\0"
  /* 16487 */ "VideoColorSpace" "\0"
  /* 16503 */ "VideoDecoder" "\0"
  /* 16516 */ "VideoFrame" "\0"
  /* 16527 */ "VideoPlaybackQuality" "\0"
  /* 16548 */ "VideoTrack" "\0"
  /* 16559 */ "VideoTrackList" "\0"
  /* 16574 */ "VisualViewport" "\0"
  /* 16589 */ "WEBGL_color_buffer_float" "\0"
  /* 16614 */ "WEBGL_compressed_texture_astc" "\0"
  /* 16644 */ "WEBGL_compressed_texture_etc" "\0"
  /* 16673 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 16703 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 16734 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 16764 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 16799 */ "WEBGL_debug_renderer_info" "\0"
  /* 16825 */ "WEBGL_debug_shaders" "\0"
  /* 16845 */ "WEBGL_depth_texture" "\0"
  /* 16865 */ "WEBGL_draw_buffers" "\0"
  /* 16884 */ "WEBGL_explicit_present" "\0"
  /* 16907 */ "WEBGL_lose_context" "\0"
  /* 16926 */ "WEBGL_provoking_vertex" "\0"
  /* 16949 */ "WaveShaperNode" "\0"
  /* 16964 */ "WebExtensionContentScript" "\0"
  /* 16990 */ "WebExtensionPolicy" "\0"
  /* 17009 */ "WebGL2RenderingContext" "\0"
  /* 17032 */ "WebGLActiveInfo" "\0"
  /* 17048 */ "WebGLBuffer" "\0"
  /* 17060 */ "WebGLContextEvent" "\0"
  /* 17078 */ "WebGLFramebuffer" "\0"
  /* 17095 */ "WebGLProgram" "\0"
  /* 17108 */ "WebGLQuery" "\0"
  /* 17119 */ "WebGLRenderbuffer" "\0"
  /* 17137 */ "WebGLRenderingContext" "\0"
  /* 17159 */ "WebGLSampler" "\0"
  /* 17172 */ "WebGLShader" "\0"
  /* 17184 */ "WebGLShaderPrecisionFormat" "\0"
  /* 17211 */ "WebGLSync" "\0"
  /* 17221 */ "WebGLTexture" "\0"
  /* 17234 */ "WebGLTransformFeedback" "\0"
  /* 17257 */ "WebGLUniformLocation" "\0"
  /* 17278 */ "WebGLVertexArrayObject" "\0"
  /* 17301 */ "WebKitCSSMatrix" "\0"
  /* 17317 */ "WebSocket" "\0"
  /* 17327 */ "WebTransport" "\0"
  /* 17340 */ "WebTransportBidirectionalStream" "\0"
  /* 17372 */ "WebTransportDatagramDuplexStream" "\0"
  /* 17405 */ "WebTransportError" "\0"
  /* 17423 */ "WebTransportReceiveStream" "\0"
  /* 17449 */ "WebTransportSendStream" "\0"
  /* 17472 */ "WebrtcGlobalInformation" "\0"
  /* 17496 */ "WheelEvent" "\0"
  /* 17507 */ "Window" "\0"
  /* 17514 */ "WindowClient" "\0"
  /* 17527 */ "WindowContext" "\0"
  /* 17541 */ "WindowGlobalChild" "\0"
  /* 17559 */ "WindowGlobalParent" "\0"
  /* 17578 */ "WindowRoot" "\0"
  /* 17589 */ "Worker" "\0"
  /* 17596 */ "WorkerDebuggerGlobalScope" "\0"
  /* 17622 */ "WorkerGlobalScope" "\0"
  /* 17640 */ "WorkerLocation" "\0"
  /* 17655 */ "WorkerNavigator" "\0"
  /* 17671 */ "WorkerTestUtils" "\0"
  /* 17687 */ "Worklet" "\0"
  /* 17695 */ "WorkletGlobalScope" "\0"
  /* 17714 */ "WritableStream" "\0"
  /* 17729 */ "WritableStreamDefaultController" "\0"
  /* 17761 */ "WritableStreamDefaultWriter" "\0"
  /* 17789 */ "XMLDocument" "\0"
  /* 17801 */ "XMLHttpRequest" "\0"
  /* 17816 */ "XMLHttpRequestEventTarget" "\0"
  /* 17842 */ "XMLHttpRequestUpload" "\0"
  /* 17863 */ "XMLSerializer" "\0"
  /* 17877 */ "XPathEvaluator" "\0"
  /* 17892 */ "XPathExpression" "\0"
  /* 17908 */ "XPathResult" "\0"
  /* 17920 */ "XRBoundedReferenceSpace" "\0"
  /* 17944 */ "XRFrame" "\0"
  /* 17952 */ "XRInputSource" "\0"
  /* 17966 */ "XRInputSourceArray" "\0"
  /* 17985 */ "XRInputSourceEvent" "\0"
  /* 18004 */ "XRInputSourcesChangeEvent" "\0"
  /* 18030 */ "XRPose" "\0"
  /* 18037 */ "XRReferenceSpace" "\0"
  /* 18054 */ "XRReferenceSpaceEvent" "\0"
  /* 18076 */ "XRRenderState" "\0"
  /* 18090 */ "XRRigidTransform" "\0"
  /* 18107 */ "XRSession" "\0"
  /* 18117 */ "XRSessionEvent" "\0"
  /* 18132 */ "XRSpace" "\0"
  /* 18140 */ "XRSystem" "\0"
  /* 18149 */ "XRView" "\0"
  /* 18156 */ "XRViewerPose" "\0"
  /* 18169 */ "XRViewport" "\0"
  /* 18180 */ "XRWebGLLayer" "\0"
  /* 18193 */ "XSLTProcessor" "\0"
  /* 18207 */ "XULCommandEvent" "\0"
  /* 18223 */ "XULElement" "\0"
  /* 18234 */ "XULFrameElement" "\0"
  /* 18250 */ "XULMenuElement" "\0"
  /* 18265 */ "XULPopupElement" "\0"
  /* 18281 */ "XULResizerElement" "\0"
  /* 18299 */ "XULTextElement" "\0"
  /* 18314 */ "XULTreeElement" "\0"
  /* 18329 */ "console" "\0"
  /* 18337 */ "webkitSpeechGrammar" "\0"
  /* 18357 */ "webkitSpeechGrammarList" "\0"
  /* 18381 */ "webkitSpeechRecognition" "\0"
  /* 18405 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

